| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::SpinLock Class Reference

List of all members.

## Public Member Functions
bool | LockTry ()
bool | LockWait ()
void | Release ()
| SpinLock ()
| ~SpinLock ()

## Detailed Description

Definition at line 35 of file spinlock.h.

The documentation for this class was generated from the following file:

- csutil/spinlock.h